
Infrastructure - Bug #7354

Metacat serializes exception in the middle of a Log

2015-09-15 19:50 - Robert Waltz

Status: Closed Start date: 2015-09-15

Priority: Normal Due date:  

Assignee: Jing Tao % Done: 100%

Category: Metacat Estimated time: 0.00 hour

Target version: CCI-2.0.0   

Milestone: CCI-2.0 Story Points:  

Product Version: *   

Description

On cn-dev-ucsb-1.test.dataone.org, I can run the following curl command.

curl --trace curl.out --cert /etc/dataone/client/private/cnDevUCSB1.pem  "

https://mn-demo-6.test.dataone.org/knb/d1/mn/v2/log?fromDate=2015-04-22T08:03:49.196%2B00:00&toDate=2015-05-28T18:02:51

.897%2B00:00&start=4000&count=1000"

The output is attached as a file.

The short version of this file is at the end is xml such as:

20698<?xml version="1.0" encoding="UTF-8"?>null value for element "event" from object of type

org.dataone.service.types.v2.LogEntry

History

#1 - 2015-09-16 00:05 - Jing Tao

If the event string is null, we will set it to "unknow" in the log entry. The above curl command worked for me.

Robert, would you please test it again? Note: i just updated the mn-demo-6.

#2 - 2015-09-16 00:06 - Jing Tao

- Status changed from New to In Progress

- % Done changed from 0 to 30

#3 - 2015-09-16 17:25 - Jing Tao

- Status changed from In Progress to Closed

- % Done changed from 30 to 100

Robert tested and it worked with him.

Files

mn-demo-6-log.out 219 KB 2015-09-15 Robert Waltz
